Subject: RE: Megaco relationship to RTP

From: "Yang, Margaret H (Margaret)" <[email-masked]>
Date: Thu, 8 Mar 2001 13:06:58 -0600

Willy,

There is a general rule for the use of 'translator' and 'mixer'. That is, a
translator is used when there is only one media source. A mixer is used if
multiple media sources are involved, for example, a multi-party conference.
In your case, the IMG is used to do transcoding for a media stream from a
single source, thus, translator should be used. 

When a mixer is needed, the MGC must request the MG to allocate the required
resources. For example, to establish an audio conference call, conference
circuit resources must be allocated prior to or at the time the first party
joins the conference.  So your question does point out a hole in H.248.

I think there are two ways to address this issue. We can either fix this in
H.248v2 by adding a new (optional) context property to indicate the need for
a conference circuit (mixer) and a new conference descriptor, or we can add
a conference (mixer) package. Any comments on which way we should go?

Margaret Yang
Lucent Technologies
Switching Access System
> ----------
> From: 	Willy Reheul[SMTP:[email-masked]]
> Sent: 	Thursday, March 08, 2001 7:41 AM
> To: 	[email-masked]
> Subject: 	Megaco relationship to RTP
> 
> Doing audio rate conversion (transcoding) in an Interior Media Gateway
> (IMG) I came across the following problem.
> 
> The CASE:
> 
> -an H.323 endpoint (A) has a video-  and associated audio stream with
> another H.323 endpoint (B);
> -video codecs of A and B are compatible, hence this video stream is NOT
> passing the IMG but goes directly betweem A and B;
> -audio codecs are not compatible, hence the audio stream is first
> 'interworked' in the IMG and then sent to the opposite user.
> 
> The ISSUE:
> 
> In order to guarantee lip synchronization one need to be able to IMPOSE
> the IMG to behave as a 'translator' for the audio stream. In case the
> IMG would behave as an 'RTP mixer', IMG would generate a new audio
> stream (new SSRC) with its own timing (using the IMG clock) and with own
> sequence numbers such that -at the playback point in the H.323 terminal-
> synchronisation with the associated video stream is completely lost.
> 
> QUESTIONS:
> 
> /1/.Is anything provided in the Megaco protocol to set  either
> 'translator' or 'mixer' treatment for a media flow ?
> /2/.In case such command is not provided, how can one be sure that the
> SSRC of a stream is kept intact in such intermediate network elements ?
> /3/.Is there any other solution to the problem ?
> I might change the scenario such that both streams pass through the IMG.
> But even then there is no certainty about which RTP treatment streams
> shall undergo: the video stream may simply pass through because the
> media processor must not do anything on it, and the audio stream may
> still be given a completely new time and sequence number space because
> it must be decoded and then re-encoded in a different format ??
> /4/.Would it be an advantage to have both streams in the same megaco
> context; then they both may undergo the same treatment with respect to
> SSRC ?
> /5/.Is there something like a 'default' treatment of media streams in a
> megaco context ? 
> Something like :
> /5a/.When 2 terminations are in a context ----> 'RTP translator'
> treatment of any one stream flowing in the context ?
> /5b/.When 3 or more terminations are in a context----> 'RTP mixer'
> treatment of any one stream flowing in the context; but maybe topology
> could be set in such way that the mixer treatment is overruled again and
> 'RTP translator' treatment is applied ??
> Can any documentation about this topic be distributed.
> /6/.By the way, is there also something like a DEFAULT mixing treatment
> in a megaco context ?
> /6a/. For example for audio streams the default mixing in a 'megaco
> context' could be: data sent out -into the network- from anyone
> termination = sum of the inputs of all 'other' terminations in the
> context ?? 
> /6b/. Default video mixing could be : data sent out -into the network-
> from any one termination = the multiplex of inputs of all terminations
> in the context. ??
> /6c/.Or can every manufacturer implement his own choise of algorithms ?
> If yes, how does MGC know ?
> /6d/.In case there is a default mixing behaviour, has MGC any 'megaco'
> means to change this default, and is it possible to make the choice for
> audio different from the choice for video while both are in the same
> context ?
> 
> Thanks,
> Willy.
>

---

From: "Willy Reheul" <[email-masked]>
Date: Tue, 13 Mar 2001 21:37:03 -0000

Hi Margaret, List

Thanks for the answers. Do you also know of some place in the standard or
implementor's guide where this rule for the use of 'translator' and 'mixer'
is described ? In addition to that, I'm still a bit stuck with a combination
of one media source together with a tone source : will IMG still behave as a
translator for the media source, or will IMG now behave as a mixer because
there is also a tone source ? Will behaviour automatically switch to
translator when the tone is cut ??
Concerning the conference issue : I was thinking on designing a "conference
bridge" package. However, the solutions you propose for implementation in v2
are better. A package however would allow us to offer certain conference
services with v1. On the other hand the package would then be obsolete in
v2. I have no definite answer : depends on product roadmaps and H248v2
schedule; all far beyond my control.

Willy Reheul.

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Yang, Margaret H
> (Margaret)
> Sent: donderdag 8 maart 2001 19:07
> To: Willy Reheul
> Cc: [email-masked]
> Subject: RE: Megaco relationship to RTP
>
>
> Willy,
>